#
# spec file for package python-oslo.upgradecheck
#
# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           python-oslo.upgradecheck
Version:        0.2.1
Release:        2.1
Summary:        Common code for writing OpenStack upgrade checks
License:        Apache-2.0
Group:          Development/Languages/Python
URL:            https://launchpad.net/oslo.upgradecheck
Source0:        https://files.pythonhosted.org/packages/source/o/oslo.upgradecheck/oslo.upgradecheck-0.2.1.tar.gz
BuildRequires:  fdupes
BuildRequires:  openstack-macros
BuildRequires:  python2-Babel
BuildRequires:  python2-PrettyTable
BuildRequires:  python2-oslo.config
BuildRequires:  python2-oslo.i18n
BuildRequires:  python2-oslotest
BuildRequires:  python2-stestr
BuildRequires:  python3-Babel
BuildRequires:  python3-PrettyTable
BuildRequires:  python3-oslo.config
BuildRequires:  python3-oslo.i18n
BuildRequires:  python3-oslotest
BuildRequires:  python3-stestr
Requires:       python-Babel
Requires:       python-PrettyTable
Requires:       python-oslo.config
Requires:       python-oslo.i18n
BuildArch:      noarch
%ifpython2
BuildRequires:  python-enum34
Requires:       python-enum34
%endif
%if 0%{?suse_version}
Requires(post): update-alternatives
Requires(postun): update-alternatives
%else
# on RDO, update-alternatives is in chkconfig
Requires(post): chkconfig
Requires(postun): chkconfig
%endif
%python_subpackages

%description
This project contains the common code necessary for writing upgrade checks
in OpenStack projects. It includes a module (oslo_upgradecheck.upgradecheck)
for the common code as well as an example (oslo_upgradecheck.__main__) of
integrating that code into a project.

%package -n python-oslo.upgradecheck-doc
Summary:        Common code for writing OpenStack upgrade checks
Group:          Development/Languages/Python
BuildRequires:  python-Sphinx
BuildRequires:  python-openstackdocstheme

%description -n python-oslo.upgradecheck-doc
Documentation for the oslo.upgradecheck library.

%prep
%autosetup -p1 -n oslo.upgradecheck-0.2.1
%py_req_cleanup

%build
%{python_build}

PBR_VERSION=0.2.1 sphinx-build -b html doc/source doc/build/html
# remove the sphinx-build leftovers
rm -rf doc/build/html/.{doctrees,buildinfo}
%fdupes doc/build/html/

%install
%{python_install}

%check
%{python_expand rm -rf .testrepository
# set this so that the variable can be passed to a subprocess.call
export PYTHONPATH=`pwd`
%python_exec -m stestr.cli run
}

%files %{python_files}
%defattr(-,root,root,-)
%license LICENSE
%{python_sitelib}/oslo_upgradecheck
%{python_sitelib}/*.egg-info

%files -n python-oslo.upgradecheck-doc
%doc doc/build/html README.rst
%license LICENSE

%changelog
